Subject: Re: [bitcoin-dev] Playing with full-rbf peers for fun and L2s security

From: Peter Todd <[email-masked]>
Date: Tue, 14 Jun 2022 23:18:33 -0400

On Wed, Jun 15, 2022 at 02:53:58AM +0000, Luke Dashjr wrote:
> Bitcoin Knots still uses this service bit, FWIW (though due to a bug in some 
> older versions, it wasn't signalled by default). There are probably at least 
> 100 nodes with full RBF already.

Right. However it looks like you do not add NODE_REPLACE_BY_FEE to the list
returned by GetDesirableServiceFlags, so those nodes won't preferentially peer
with each other.

Also, if NODE_REPLACE_BY_FEE is added to the desirable service flags, it
ideally needs to be supported by the DNS seeds too. Currently it is not.

-- 
https://petertodd.org 'peter'[:-1]@petertodd.org